@font-face {
    font-family: 'Belymon';
    src: url('fonts/Belymon.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}
 @font-face {
    font-family: 'ArnoPro';
    src: url('fonts/ArnoPro.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}


header {
  padding: 160px 40px;
  background-image: url('imagenes/PORTADA.jpg');
  background-size: cover;
  background-position: center;
  color: #ffffff;
  text-align: center;
}

h1 {
  padding-top: 60px;
  font-family: 'Belymon', normal;
  font-size: 85px;
  text-align: center;
  letter-spacing: 2px;
  margin-bottom: 50px;
  color: #2CACAD;
  text-shadow: 
    -1px -1px 0 #02364B,  
     1px -1px 0 #02364B,
    -1px  1px 0 #02364B,
     1px  1px 0 #02364B,
     2px 2px 5px rgba(0, 0, 0, 0.5);
}

h2 {
  font-family: 'ArnoPro', normal;
  font-size: 48px;
  font-style: normal;
  text-align: center;
  margin-bottom: 30px;
  font-weight: normal;
  text-shadow: 
    -1px -1px 0 #fff,  
     1px -1px 0 #fff,
    -1px  1px 0 #fff,
     1px  1px 0 #fff,
     2px 2px 6px rgba(0, 0, 0, 0.5);
}

.h2-año{
  color: #02364B;
}

.arrow-down {
  border: solid #02364B;
  border-width: 0 4px 4px 0;
  display: inline-block;
  padding: 6px;
  transform: rotate(45deg);
  margin-top: 30px;
  animation: bounce 2s infinite;
}

@keyframes bounce {
  0%, 20%, 50%, 80%, 100% {
    transform: translateY(0) rotate(45deg);
  }
  40% {
    transform: translateY(10px) rotate(45deg);
  }
  60% {
    transform: translateY(5px) rotate(45deg);
  }
}

.section {
  padding: 40px 20px;
  background-color: #74a174;
   text-align: center;
}

.countdown-section {
  padding-top: 5px;
  padding-bottom: 8px;
  background-color: white;
}

.text {
  max-width: 700px;
  margin: auto;
  font-size: 24px;
  line-height: 1.6;
  color: #ffffff;
  text-align: center;
}

.cards-container {
  display: flex;
  justify-content: center;
  align-items: stretch; 
  flex-wrap: wrap; 
  gap: 20px;
  max-width: 1000px; 
  margin: 0 auto; 
}

.card {
  color: #ffffff; 
  margin: 20px auto;
  padding: 25px;
  border-radius: 16px;
  max-width: 600px;
  flex: 1; 
  min-width: 280px;
  text-align: center;
}

.card-content {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.card-icon-img {
  height: 60px; 
  width: auto;
  margin-bottom: 15px;

}

.outfit-icon {
  height: 140px;
}

.card p strong {
  color: #ffffff; 
}

.btn {
  display: inline-block;
  margin-top: 20px;
  padding: 18px 36px; 
  background-color: #024D60;
  color: #fff;
  text-decoration: none;
  border-radius: 10px;
  font-weight: bold;
  font-size: 18px; 
}

.btn-confirmar{
  display: inline-block;
  margin-top: 20px;
  padding: 18px 36px; 
  background-color: #024D60;
  color: #fff;
  text-decoration: none;
  border-radius: 10px;
  font-weight: bold;
  font-size: 24px; 

}

.btn:hover {
  opacity: 0.85;
}

.outfit-cards {
  margin-top: 40px;
}

.rsvp {
  background-image: url('imagenes/FONDO\ FINAL.png');
  background-size: cover;
  background-position: center;
  color: #ffffff;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
}

.rsvp h2 {
  font-family: 'The Seasons', serif;
  color: #ffffff;
  font-size: 48px; 
  text-shadow: 1px 1px 3px rgba(255, 255, 255, 0.4);
}

footer {
  padding: 40px 20px;
}


@media (max-width: 600px) {
  header {
    padding: 80px 20px; 
  }

  h1 {
    font-size: 42px;
  }

  h2 {
    font-size: 48px; 
  }

  .text {
    font-size: 16px;
  }

  .section {
    padding: 30px 15px;
  }

  .cards-container {
    flex-direction: column; 
  }

  .card {
    min-width: auto;
    width: 100%;
    box-sizing: border-box;
  }

  .nombre-invitacion {
    font-size: 36px;
  }

  .intro-details {
    flex-direction: column;
  }

  .intro-details .frase-medio {
    text-align: center;
  }
}

#start-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(2, 54, 75, 0.80);
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  z-index: 1000;
  cursor: pointer;
  padding: 20px;
  box-sizing: border-box;
}

#start-btn {
  font-size: 22px;

  padding: 20px 40px;
  margin-top: 20px;
  background-color: #ffffff;
  border: 2px solid #2CACAD;
  color: #2CACAD;
}

.inicio {
  font-size: 32px;
  text-align: center;
  font-family: 'Belymon', normal;
  line-height: 1.5;
  color: #fff;
  margin-bottom: 20px;
  max-width: 600px;
  text-shadow: 
    -1px -1px 0 #050533,  
     1px -1px 0 #050533,
    -1px  1px 0 #050533,
     1px  1px 0 #050533;
}

.frase-inicio {
  font-size: 20px;
  font-family: 'ArnoPro', normal;
  text-align: center;
  font-size: 32px;
  color: #ffffff;
  margin-bottom: 10px;
  text-shadow: none;
}

.nombre-invitacion {
  font-family: 'Belymon', cursive;
  font-size: 86px;
  color: #75E2DF;
  text-shadow: 
    -1px -1px 0 #fff,  
     1px -1px 0 #fff,
    -1px  1px 0 #fff,
     1px  1px 0 #fff,
    -3px -3px 0 #050533,  
     3px -3px 0 #050533,
    -3px  3px 0 #050533,
     3px  3px 0 #050533;
  margin: 0;
  text-align: center;
}

.frase-medio{
  font-family: 'ArnoPro', normal;
  font-size: 32px;
  color: #02364B;
  text-align: center;
}

.intro-details {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 30px;
  max-width: 1000px;
  margin: 0 auto 40px auto;
}

.foto-alaia {
  width: 100%;
  max-width: 300px;
  border-radius: 20px;
}

.intro-details .frase-medio {
  text-align: center;
  flex: 1;
}

.info-card {
  margin-bottom: 20px;
  color: #ffffff;
  font-family: 'ArnoPro', normal;
  font-size: 22px;
}

.info-card p {
  margin: 5px 0;
}

.destacado {
  font-family: 'ArnoPro', normal;
  font-size: 36px;
  color: #ffffff;
  margin: 10px 0 !important;
}

.texto-confirmar{
  font-family:'Belymon', serif ;
  font-size: 64px;
}

.fecha {
  font-family: 'ArnoPro', normal;
  font-size: 16px;
 }

.section.details {
  background-color: #ffffff;
  background-image: url('imagenes/FONDO MITAD.png');
  background-size: cover;
  background-position: center;
}